Skip to main content
GET
Get accounting overview

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ledger_id
string
required

Ledger identifier.

Minimum string length: 1
year
integer
required

Calendar year, from 2000 to 2100.

Required range: 2000 <= x <= 2100
Example:

2026

customer_segment_id
string

Restrict every figure but attention.first_open_month to the customers of this segment.

Minimum string length: 1

Response

Revenue recognition overview of a ledger for a calendar year. Amounts are whole minor units of the ledger currency (cents for EUR), rounded so every total equals the sum of its parts.

currency
enum<string>
required

Currency of the ledger, in which every amount is.

Available options:
EUR,
AED,
AFN,
XCD,
ALL,
AMD,
AOA,
ARS,
USD,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
XOF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
NOK,
BWP,
BYR,
BZD,
CAD,
CDF,
XAF,
CHF,
NZD,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
ANG,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
MAD,
ERN,
ETB,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRO,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
XPF,
NGN,
NIO,
NPR,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SSP,
STD,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
UYU,
UZS,
VEF,
VND,
VUV,
WST,
YER,
ZAR,
ZMW,
ZWL
Example:

"EUR"

year
integer
required

Calendar year of the overview.

Example:

2026

metrics
object
required

Headline figures.

months
object[]
required

The twelve months of the year, in order.

movements
object[]
required

Rollforward of each deferred and unbilled revenue account over the year, from posted journal entry lines.

products
object[]
required

Revenue recognized and remaining by product on the live schedules: the top products, then one other row (null product_id) folding the rest and the schedules with no product.

timing
object
required

Revenue left to recognize, by when it is planned.

contracts
object
required

Contracts governed by a revenue policy on the ledger, by status; the counts sum to those contracts.

attention
object
required

What needs attention on the ledger.